NETDEV_NOTIFY_PEERS(9)

NAME
netdev_notify_peers - notify network peers about existence of dev

SYNOPSIS

void netdev_notify_peers(struct net_device * dev);

ARGUMENTS

dev
    network device

DESCRIPTION

Generate traffic such that interested network peers are aware of dev, such as by generating a gratuitous ARP. This may be used when a device wants to inform the rest of the network about some sort of reconfiguration such as a failover event or virtual machine migration.

COPYRIGHT